file_relay_client_free
file_relay_client_new
file_relay_client_start_service
file_relay_client_t
file_relay_error_t
file_relay_request_sources
file_relay_request_sources_timeout
FILE_RELAY_SERVICE_NAME

## file_relay_client_new()

LIBIMOBILEDEVICE_API file_relay_error_t file_relay_client_new | ( | idevice_t | device,
|  | lockdownd_service_descriptor_t | service,
|  | file_relay_client_t * | client )

Connects to the file_relay service on the specified device.

Parameters

  device | The device to connect to.
  service | The service descriptor returned by lockdownd_start_service.
  client | Reference that will point to a newly allocated file_relay_client_t upon successful return.

Returns
  FILE_RELAY_E_SUCCESS on success, FILE_RELAY_E_INVALID_ARG when one of the parameters is invalid, or FILE_RELAY_E_MUX_ERROR when the connection failed.